Matching Service
Matching API matches or snaps given GPS points to the road network in the most plausible way. Please note the request might result multiple sub-traces. Large jumps in the timestamps (> 60s) or improbable transitions lead to trace splits if a complete matching could not be found. The algorithm might not be able to match all points. Outliers are removed if they can not be matched successfully.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/matching/driving/string?bearings=10%2C20%3B40%2C30%3B30%2C9&radiuses=500%3B200%3B300&steps=true&geometries=polyline&annotations=false&overview=simplified×tamps=200%3B300%3B900&gaps=ignore&tidy=false&waypoints=0%3B1%3B2"{ "code": "ok", "tracepoints": { "waypoint_index": 0, "matchings_index": 0, "alternatives_count": 0, "distance": 8.414822, "location": [ -0.161136, 51.523832 ], "name": "Huntsworth Mews" }, "matchings": { "duration": 109.3, "distance": 752.4, "weight": 109.3, "geometry": "}fnyHbn^|@_@O_BeDlAw@}G~@uB@WXs@fE}Ab@OxBpU", "confidence": 0, "weight_name": "routability", "legs": { "steps": [], "weight": 10.2, "distance": 36.7, "summary": "", "duration": 10.2 } }}